{ SMReport Designer
  Copyright (C) 1998/99, written by Shkolnik Mike
  E-Mail:  mshkolnik@yahoo.com
           mshkolnik@rs-ukraine.kiev.ua
  WEB: http://www.geocities.com/SiliconValley/Grid/3989
  tel: 380-/44/-552-10-29


  In this unit I describe a form for
  custom TSMRCheckBox component
}
unit SMRChEd;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, ComCtrls, SMPWhen;

type
  TfrmEditCheck = class(TForm)
    bvlButton: TBevel;
    btnOk: TButton;
    btnCancel: TButton;
    pcElement: TPageControl;
    tsGeneral: TTabSheet;
    rgPosition: TRadioGroup;
    cbTransparent: TCheckBox;
    btnPrintWhen: TButton;
    gbSource: TGroupBox;
    rbValue: TRadioButton;
    rbField: TRadioButton;
    tsComment: TTabSheet;
    memoComment: TMemo;
    cbState: TComboBox;
    cbExpression: TComboBox;
    procedure rbValueClick(Sender: TObject);
    procedure rbFieldClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure btnPrintWhenClick(Sender: TObject);
    procedure cbStateClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    PrintWhen: TSMPrintWhen;
    frmPrintWhen: TfrmPrintWhen;

    LangShift: LongInt;

    procedure FillStringsFromRes; 
  end;

implementation
uses SMRCnst, SMRUtils;
{$R *.DFM}

procedure TfrmEditCheck.rbValueClick(Sender: TObject);
begin
  cbState.Enabled := True;
  cbExpression.Enabled := False;
end;

procedure TfrmEditCheck.rbFieldClick(Sender: TObject);
begin
  cbState.Enabled := False;
  cbExpression.Enabled := True;
end;

procedure TfrmEditCheck.FormCreate(Sender: TObject);
begin
  frmPrintWhen := TfrmPrintWhen.Create(Self);
end;

procedure TfrmEditCheck.FormDestroy(Sender: TObject);
begin
  frmPrintWhen.Free;
end;

procedure TfrmEditCheck.FillStringsFromRes;
begin
  Caption := GetString(LangShift, smrcCntrlCaption);
  tsGeneral.Caption := GetString(LangShift, smrcCntrlTsGeneral);
  tsComment.Caption := GetString(LangShift, smrcCntrlTsComment);

  rgPosition.Caption := GetString(LangShift, smrcCntrlRgPosition);
  rgPosition.Items[0] := GetString(LangShift, smrcCntrlRgPosition0);
  rgPosition.Items[1] := GetString(LangShift, smrcCntrlRgPosition1);
  rgPosition.Items[2] := GetString(LangShift, smrcCntrlRgPosition2);
  rgPosition.Items[3] := GetString(LangShift, smrcCntrlRgPosition3);

  cbTransparent.Caption := GetString(LangShift, smrcCntrlCbTransparent);
  btnPrintWhen.Caption := GetString(LangShift, smrcCntrlBtnPrintWhen);

  btnOk.Caption := GetString(LangShift, smrcCntrlBtnOk);
  btnCancel.Caption := GetString(LangShift, smrcCntrlBtnCancel);

  gbSource.Caption := GetString(LangShift, smrcImageGbSource);
  rbField.Caption := GetString(LangShift, smrcImageRbField);

  rbValue.Caption := GetString(LangShift, smrcImageRbConst);
end;

procedure TfrmEditCheck.btnPrintWhenClick(Sender: TObject);
begin
  with frmPrintWhen do
    try
      LangShift := Self.LangShift;
      PWhen := PrintWhen;
      if (ShowModal = mrOk) then
        PrintWhen := PWhen;
    finally
    end;
end;

procedure TfrmEditCheck.cbStateClick(Sender: TObject);
begin
  rbValue.Checked := True
end;

end.
